Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlTest

    java.lang.Object
      org.testng.xml.XmlTest

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class XmlTest

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

This class describes the tag <test> in testng.xml.

Author:
  Cedric Beust, Alexandru Popescu
See Also:
  Serialized Form

Constructor Summary
`XmlTest(XmlSuite suite)` Constructs a `XmlTest` and adds it to suite's list of tests.

Method Summary
`void` | `addMetaGroup(java.lang.String name, java.util.List<java.lang.String> metaGroup)`
`void` | `addParameter(java.lang.String key, java.lang.String value)`
`java.lang.Object` | `clone()` Clone the `source` `XmlTest` by including: - test attributes - groups definitions - parameters The <classes> sub element is ignored for the moment.
`java.lang.String` | `getAnnotations()`
`java.util.List<java.lang.String>` | `getExcludedGroups()`
`java.lang.String` | `getExpression()`
`java.util.List<java.lang.String>` | `getIncludedGroups()`
`java.util.List<java.lang.Integer>` | `getInvocationNumbers(java.lang.String method)` Convenience method to cache the ordering numbers for methods.
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getMetaGroups()`
`java.util.List<XmlMethodSelector>` | `getMethodSelectors()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParallel()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()` Returns a merge of the the test parameters and its parent suite parameters.
`XmlSuite` | `getSuite()` Returns the suite this test is part of.
`int` | `getThreadCount()`
`java.lang.String` | `getTimeOut()`
`long` | `getTimeOut(long def)`
`int` | `getVerbose()`
`java.util.List<XmlClass>` | `getXmlClasses()`
`java.util.List<XmlPackage>` | `getXmlPackages()`
`boolean` | `isJUnit()`
`void` | `setAnnotations(java.lang.String annotations)`
`void` | `setBeanShellExpression(java.lang.String expression)`
`void` | `setClassNames(java.util.List<XmlClass> classes)` Deprecated. use setXmlClasses
`void` | `setExcludedGroups(java.util.List<java.lang.String> g)`
`void` | `setIncludedGroups(java.util.List<java.lang.String> g)`
`void` | `setJUnit(boolean isJUnit)`
`void` | `setMethodSelectors(java.util.List<XmlMethodSelector> methodSelectors)`
`void` | `setName(java.lang.String name)`
`void` | `setParallel(java.lang.String parallel)`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)`
`void` | `setSkipFailedInvocationCounts(boolean skip)`
`void` | `setThreadCount(int threadCount)`
`void` | `setTimeOut(long timeOut)`
`void` | `setVerbose(int v)`
`void` | `setXmlClasses(java.util.List<XmlClass> classes)` Sets the XML Classes.
`void` | `setXmlPackages(java.util.List<XmlPackage> packages)`
`boolean` | `skipFailedInvocationCounts()`
`java.lang.String` | `toString()`
`java.lang.String` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlTest

    public XmlTest(XmlSuite suite)

  Constructs a `XmlTest` and adds it to suite's list of tests.

  Parameters:
    `suite` - the parent suite.

Method Detail

### setXmlPackages

    public void setXmlPackages(java.util.List<XmlPackage> packages)

### getXmlPackages

    public java.util.List<XmlPackage> getXmlPackages()

### getMethodSelectors

    public java.util.List<XmlMethodSelector> getMethodSelectors()

### setMethodSelectors

    public void setMethodSelectors(java.util.List<XmlMethodSelector> methodSelectors)

### getSuite

    public XmlSuite getSuite()

  Returns the suite this test is part of.

  Returns:
    the suite this test is part of.

### getIncludedGroups

    public java.util.List<java.lang.String> getIncludedGroups()

  Returns:
    Returns the includedGroups.

### setClassNames

    public void setClassNames(java.util.List<XmlClass> classes)

  Deprecated. use setXmlClasses

  Sets the XML Classes.

  Parameters:
    `classes` - The classes to set.

### getXmlClasses

    public java.util.List<XmlClass> getXmlClasses()

  Returns:
    Returns the classes.

### setXmlClasses

    public void setXmlClasses(java.util.List<XmlClass> classes)

  Sets the XML Classes.

  Parameters:
    `classes` - The classes to set.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### setVerbose

    public void setVerbose(int v)

  Parameters:
    `v` -

### getThreadCount

    public int getThreadCount()

### setThreadCount

    public void setThreadCount(int threadCount)

### setIncludedGroups

    public void setIncludedGroups(java.util.List<java.lang.String> g)

  Parameters:
    `g` -

### setExcludedGroups

    public void setExcludedGroups(java.util.List<java.lang.String> g)

  Parameters:
    `g` - The excludedGrousps to set.

### getExcludedGroups

    public java.util.List<java.lang.String> getExcludedGroups()

  Returns:
    Returns the excludedGroups.

### getVerbose

    public int getVerbose()

  Returns:
    Returns the verbose.

### isJUnit

    public boolean isJUnit()

  Returns:
    Returns the isJUnit.

### setJUnit

    public void setJUnit(boolean isJUnit)

  Parameters:
    `isJUnit` - The isJUnit to set.

### setSkipFailedInvocationCounts

    public void setSkipFailedInvocationCounts(boolean skip)

### skipFailedInvocationCounts

    public boolean skipFailedInvocationCounts()

  Returns:
    Returns the isJUnit.

### addMetaGroup

    public void addMetaGroup(java.lang.String name,
                             java.util.List<java.lang.String> metaGroup)

### getMetaGroups

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getMetaGroups()

  Returns:
    Returns the metaGroups.

### setParameters

    public void setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)

  Parameters:
    `parameters` -

### addParameter

    public void addParameter(java.lang.String key,
                             java.lang.String value)

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

  Returns a merge of the the test parameters and its parent suite parameters. Test parameters have precedence over suite parameters.

  Returns:
    a merge of the the test parameters and its parent suite parameters.

### setParallel

    public void setParallel(java.lang.String parallel)

### getParallel

    public java.lang.String getParallel()

### getTimeOut

    public java.lang.String getTimeOut()

### getTimeOut

    public long getTimeOut(long def)

### setTimeOut

    public void setTimeOut(long timeOut)

### getAnnotations

    public java.lang.String getAnnotations()

### setAnnotations

    public void setAnnotations(java.lang.String annotations)

### setBeanShellExpression

    public void setBeanShellExpression(java.lang.String expression)

### getExpression

    public java.lang.String getExpression()

### toXml

    public java.lang.String toXml(java.lang.String indent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Clone the `source` `XmlTest` by including: - test attributes - groups definitions - parameters The <classes> sub element is ignored for the moment.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of the current XmlTest

### getInvocationNumbers

    public java.util.List<java.lang.Integer> getInvocationNumbers(java.lang.String method)

  Convenience method to cache the ordering numbers for methods.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD